org.bdgenomics.adam.cli

# VizReads

#### object VizReads extends ADAMCommandCompanion

Linear Supertypes
ADAMCommandCompanion, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VizReads
2. ADAMCommandCompanion
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(cmdLine: Array[String]): ADAMCommand

   Definition Classes
     VizReads → ADAMCommandCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val base: Int

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### val commandDescription: String

    Definition Classes
      VizReads → ADAMCommandCompanion

11. #### val commandName: String

    Definition Classes
      VizReads → ADAMCommandCompanion

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### val height: Int

18. #### var inputPath: String

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def main(cmdLine: Array[String]): Unit

    Definition Classes
      ADAMCommandCompanion

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def printJsonFreq(array: Array[AlignmentRecord], region: ReferenceRegion): List[FreqJson]

25. #### def printTrackJson(layout: OrderedTrackedLayout[AlignmentRecord]): List[TrackJson]

26. #### def printVariationJson(layout: OrderedTrackedLayout[Genotype]): List[VariationJson]

27. #### var reads: RDD[AlignmentRecord]

28. #### var refName: String

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### val trackHeight: Int

32. #### var variants: RDD[Genotype]

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### val width: Int

### Inherited from ADAMCommandCompanion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped